Page 1 of 1

[REQUEST] Convert custom module from 3.2 to 4.x

Posted: Tue Nov 05, 2019 5:27 pm
by schadenfred
Hello,

This is my first post here. I need to convert a custom module to 4.x. I'll take any and all advice, or if somebody wants to convert the module, that would be amazing.

This module limits the commands that users can execute. Details are included in the code comments.
I've tried using set::restrict-commands to do the same job, but it doesn't have all of the capabilities that I need.

https://github.com/schaden-fred/lockdow ... lockdown.c

Thanks in advance!
Frederic

Re: [REQUEST] Convert custom module from 3.2 to 4.x

Posted: Tue Nov 05, 2019 8:33 pm
by westor
Link module is broken.

Re: [REQUEST] Convert custom module from 3.2 to 4.x

Posted: Tue Nov 05, 2019 8:58 pm
by schadenfred
Apologies. I was asked to take the module offline.
Since I'm not allowed to share the module's source, can you give me any advice on how to convert it myself? I know it's C code, and appears not to compile because 3.x uses a different version of C from 4.x. But that's all we've been able to figure out. Even knowing what versions were used would be a big help.

And any documentation on writing modules would also help. I've read what's in the wiki, but it's pretty limited.

Thanks,
Frederic

Re: [REQUEST] Convert custom module from 3.2 to 4.x

Posted: Tue Nov 05, 2019 9:36 pm
by Gottem
Perhaps my module templates can be of help. =]